package de.intevation.gnv.timeseries;

import de.intevation.artifacts.ArtifactFactory;

import de.intevation.gnv.artifacts.GNVArtifactBase;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * Artifact used for product timeseries product.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 *
 */
public class TimeSeriesArtifact extends GNVArtifactBase {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(TimeSeriesArtifact.class);

    /**
     * The UID of this class
     */
    private static final long serialVersionUID = -8291547966693867205L;

    /**
     * Constructor
     */
    public TimeSeriesArtifact() {
        super();
        log.debug("TimeSeriesArtifact.Constructor");
        this.name = "timeSeries";
    }


    @Override
    public void setup(String identifier, ArtifactFactory factory,
                      Object context, Document data) {
        log.debug("TimeSeriesArtifact.setup");
        super.setup(identifier, factory, context, data);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
